# Array set

An action block that replaces an element in an array.

The fiber will proceed immediately without pause.

The element at position index will be replaced with the new value. If index is empty, or evaluate to `null`, the value will be appended to the end of the array. The array will be padded with `null` if index is greater that the length of the array. If the Array variable isn’t already assigned an array, a new array is assigned.

## Variable

- Array — variable to assign, or assigned with the array to modify.

## Input arguments

- Index — position to insert the value, default is end of array.
- Value — value to be inserted, default is `null`.